Subject: [bug#36602] guix/build/json.scm

From: Julien Lepiller <[email-masked]>
Date: Sun, 14 Jul 2019 14:59:45 +0200

Le Sun, 14 Jul 2019 13:09:18 +0200,
Robert Vollmert <[email-masked]> a écrit :

> Hi,
> 
> just had a look at 09a1f92f61d1ab11d2cf9f7a0983f4fc9f436f57, some
> questions:
> 
> - the link to
> https://github.com/cwebber/activitystuff/blob/master/activitystuff/contrib/json.scm
> is a 404, and I can’t find (ice-9 json) elsewhere (also, shouldn’t
> cwebber be listed in the copyright line?)
> - how does this embedded json parsing module differ from (json
> parser) as used by the cargo build system? wouldn’t it be better to
> have both use the same json modules?
> 
> Cheers
> Robert
> 

You're right, I thought we didn't use guile-json, but since we already
use it in the cargo build system, I removed (guix build json) and fixed
the node-build-system to use (json parser) instead. I tested a few
packages, so it should be working. I pushed the changes in
8eb0ba532ebbebef23180e666e0607ea735f9c1a.